# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXEndObject

Function

Creates the standard components "box" and "neighbors" that other modules expect a Field to contain.

Syntax
`
#include <dx/dx.h>
`

Object DXEndObject(Object o)

Functional Details

`DXEndObject` provides a higher-level interface to the Field-completion processing provided by `DXEndField`, since it will traverse a variety of Object classes to access embedded Fields. In addition, `DXEndObject` detects if the Fields contained as subObjects of `o` share components, and if so, share the newly created "box" and/or "neighbors" components between Fields containing the shared components. Finally, `DXEndObject` processes the Fields that are subObjects of `o` in parallel on architectures supporting parallelism.

Thus, unless the Object to be completed is simply a single Field, `DXEndObject` provides a more flexible, faster, and potentially more space-efficient processing stage than `DXEndField`.

Return Value

Returns `o` or returns `NULL` and sets an error code.

See Also

`DXEndField`

"Standard Components".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]